11.03.2013 07:17    

asencer
Arkadaşlar merhaba;
3d blockların üzerine plandan baktığımızda isimlerini yazacak lispe ihtiyacımız var.
konu daha önce forumda paylaşıldıysa yer işgal ettiğim için kusuruma bakmayın.
herkese iyi çalışmalar dilerim.
saygılarımla.

ProhibiT (11.03.2013 08:22 GMT)

21.01.2014 02:20    

Travaci
Kod:

(defun c:bnw (/ bc n dt)
  (if (setq bc (ssget (list (cons 0 "insert"))))
    (progn
      (setvar "cmdecho" 0) (command "_.undo" "be")
      (repeat (setq n (sslength bc))
        (setq n (1- n) dt (entget (ssname bc n)))
        (entmake (list (cons 0 "text") (assoc 10 dt)
          (cons 11 (cdr (assoc 10 dt))) (cons 1 (cdr (assoc 2 dt)))
          (cons 40 (getvar "textsize")) (cons 72 1) (cons 73 2))
        )
      )
      (command "_.undo" "e")
    )
  ) (princ)
)

Travaci (16.11.2021 14:40 GMT)

21.04.2014 19:14    

Travaci
Düzenlenicek birşey yok mike, layer tablondan block isimleri için layerını ayarlayıp hepsini yazdır, daha sonra geçen gün istediğin sml lisp'i ile hepsini seçip istediğin tarafa kaydır, biraz yaratıcı ol.

21.04.2014 19:20    

mikemoon
benim demek istediğim şudur. pencere şeklinde blokları seçince altına blok isimlerini yazması için söylemiştim.

21.04.2014 19:21    

Travaci
Zaten lisp o işi yapıyor :dozingoff bakmadanmı istekte bulunuosun :O_o

18.11.2021 07:32    

baha07
tesekkurler

> 1 <
Copyright © 2004-2022 SQL: 1.199 saniye - Sorgu: 59 - Ortalama: 0.02032 saniye